name: HYC109-HDMIA19-160
description: connector, HDMI, type A, plug, edge mount
datasheet: https://datasheet.lcsc.com/lcsc/2008130406_HOAUC-HYC109-HDMIA19-160_C711355.pdf
lcsc: C711355

pinout:
  D2+: 1
  D2S: 2
  D2-: 3
  D1+: 4
  D1S: 5
  D1-: 6
  D0+: 7
  D0S: 8
  D0-: 9
  CK+: 10
  CKS: 11
  CK-: 12
  CEC: 13
  utility/HEAC+: 14
  SCL: 15
  SDA: 16
  GND: 17
  5V: 18
  HPD: 19

properties:
  power: 5V
  ground: GND
  passive: D0S, D1S, D2S, CKS

schematic:
  symbol: connector
  right: D0+, D0-, D1+, D1-, D2+, D2-, CK+, CK-
  left: CEC, SCL, SDA, utility/HEAC+, HPD
  top: 5V
  bottom: GND, D0S, D1S, D2S, CKS

housing:
  pattern: custom
  bodyWidth: 13.85-13.94
  bodyLength: 12.30-12.70
  bodyPosition: 0, 6.25 # use board edge
  height: 4.45

  # top
  numbers: 1,3,5,7,9,11,13,15,17,19
  padWidth: 0.50
  padHeight: 1.95 # 1.70+0.15+0.1
  pitch: 1.0 # the pinout is reversed in the datasheet
  rowCount: 1
  columnCount: 10
  rowDY: -0.975

  # bottom
  numbers1: 2,4,6,8,10,12,14,16,18
  padWidth1: 0.50
  padHeight1: 1.95
  pitch1: 1.0
  rowCount1: 1
  columnCount1: 9
  padBottom1: true
  rowDY1: -0.975

  # top mounting tab
  padWidth2: 1.0
  padHeight2: 2.80 # 2.6+0.2
  pitch2: 13.70
  rowCount2: 1
  columnCount2: 2
  rowDX2: 0
  rowDY2: -1.4

  # bottom mounting tab
  padWidth3: 1.0
  padHeight3: 2.80
  pitch3: -13.70
  rowCount3: 1
  columnCount3: 2
  rowDX3: 0
  rowDY3: -1.4
  padBottom3: true
